Subject: Re: ipc, sockets and windows sp2
From: Vincent Dedun <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 4 Apr 2005 15:13:40 +0200

Corinna Vinschen wrote :

> On Apr  4 08:52, Vincent Dedun wrote:
>> However, semaphores still doesn't work properly.
>> There is no more problem with semop not waiting, but with quick
>> semaphores locking unlocking.
>>
>> I attach a new testcase, which is the same as previous one, except 
>> each
>> child task will lock the semaphore, wait 100ms, then release the
>> semaphore and die. Each time a child dies, a new one is created to 
>> keep
>> 10 running childs.
>
> I'm wondering, since you're building Cygwin from source anyway, if 
> you're
> not interested to debug this further or even track it down to its 
> source?
>

i have no idea how to do this, i'm not a good system programmer.

further more, i have a slow computer, and recompiling cygwin is long.
I even don't know how to active debugging (dprintf) on cygwin dll.

I just saw a strange stuff : in sysv_sem.cc (cygserver) at end of semop 
function (:done2 label), the mutex is released after waking up waiting 
process, shouldn't it be the inverse ?

i tried to test this, but when i modify cygwin sources and compil, my 
cygwin0.dll is not updated, i don't want to recompil everything each 
time, it take too longs.

Kraken

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/